#
# spec file for package perl-Test-PerlTidy
#
# Copyright (c) 2020 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           perl-Test-PerlTidy
Version:        20200412
Release:        bp153.1.12
%define cpan_name Test-PerlTidy
Summary:        Check that all your files are tidy
License:        Artistic-1.0 OR GPL-1.0-or-later
Group:          Development/Libraries/Perl
Url:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/S/SH/SHLOMIF/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Module::Build) >= 0.280000
BuildRequires:  perl(Path::Tiny) >= 0.100
BuildRequires:  perl(Perl::Tidy) >= 20181120
BuildRequires:  perl(Test::More) >= 0.88
BuildRequires:  perl(Test::Perl::Critic)
BuildRequires:  perl(Text::Diff)
BuildRequires:  perl(parent)
Requires:       perl(Path::Tiny) >= 0.100
Requires:       perl(Perl::Tidy) >= 20181120
Requires:       perl(Text::Diff)
Requires:       perl(parent)
%{perl_requires}

%description
This test submodule runs perltidy on files and reports errors if any
of the files differ after having been tidied. It does not permanently
modify the files being tested.

By default, perltidy will be run on files under the current directory
and its subdirectories with extensions matching: .pm .pl .PL .t.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
perl Build.PL installdirs=vendor
./Build build flags=%{?_smp_mflags}

%check
./Build test

%install
./Build install destdir=%{buildroot} create_packlist=0
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README

%changelog
* Mon Apr 13 2020 <timueller+perl@suse.de>
- updated to 20200412
  see /usr/share/doc/packages/perl-Test-PerlTidy/Changes
  20200412        2020-04-12
  * https://github.com/shlomif/Test-PerlTidy/issues/4
  * Set minimum version of Path::Tiny for its ->visit() method
  * Thanks to @eserte / SREZIC for the report
  20200411        2020-04-11
  * https://github.com/shlomif/Test-PerlTidy/issues/3
  * Allow to pass extra options to Perl::Tidy::perltidy().
  * Thanks to @cxw42 for the suggestion!
* Wed Apr  3 2019 Stephan Kulow <coolo@suse.com>
- updated to 20190402
  see /usr/share/doc/packages/perl-Test-PerlTidy/Changes
  20190402        2019-04-02
  * Fix https://github.com/shlomif/Test-PerlTidy/issues/2
    $VERSION overrided the one set by dzil
  * Made the "use" imports explicit.
* Wed Mar 13 2019 Stephan Kulow <coolo@suse.com>
- updated to 20190309.001
  see /usr/share/doc/packages/perl-Test-PerlTidy/Changes
* Sat Oct  7 2017 mimi.vx@gmail.com
- spec-cleaned
* Wed Mar 15 2017 coolo@suse.com
- update with cpanspec
* Wed Mar 15 2017 jengelh@inai.de
- Replace storytelling by an actual %%description.
* Wed Feb  8 2017 mimi.vx@gmail.com
- initial package
